### Enumeration

# FwupdPlugin HidDeviceFlags

#### Declaration

    flags FwupdPlugin.HidDeviceFlags

#### Description [src]

Flags used when calling GetReport() and SetReport().

#### Members

`FU_HID_DEVICE_FLAG_NONE`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_HID_DEVICE_FLAG_ALLOW_TRUNC`

  No description available.

  - Value: `1`
  - Available since: 1.0
`FU_HID_DEVICE_FLAG_IS_FEATURE`

  No description available.

  - Value: `2`
  - Available since: 1.0
`FU_HID_DEVICE_FLAG_RETRY_FAILURE`

  No description available.

  - Value: `4`
  - Available since: 1.0
`FU_HID_DEVICE_FLAG_NO_KERNEL_UNBIND`

  No description available.

  - Value: `8`
  - Available since: 1.0
`FU_HID_DEVICE_FLAG_NO_KERNEL_REBIND`

  No description available.

  - Value: `16`
  - Available since: 1.0
`FU_HID_DEVICE_FLAG_USE_INTERRUPT_TRANSFER`

  No description available.

  - Value: `32`
  - Available since: 1.0
`FU_HID_DEVICE_FLAG_AUTODETECT_EPS`

  No description available.

  - Value: `64`
  - Available since: 1.0